##########################################################
##################  所有profile共有的配置  #################
##########################################################
spring:
  profiles:
    active: dev
  servlet:
    multipart:
      max-file-size: 50MB
      max-request-size: 80MB
#mybatis-plus:
#    sql-injector: com.baomidou.mybatisplus.mapper.LogicSqlInjector
###################  mybatis-plus配置  ###################
###################  guns配置  ###################
casic:
  swagger-open: false #是否开启swagger (true/false)
  kaptcha-open: false #是否开启登录时验证码 (true/false)
  muti-datasource-open: false #是否开启多数据源(true/false)
  spring-session-open: false #是否开启spring session,如果是多机环境需要开启(true/false)
  session-invalidate-time: 86400 #session失效时间(只在单机环境下生效，,多机环境在SpringSessionConfig类中配置) 单位：秒
  session-validation-interval: 900 #多久检测一次失效的session(只在单机环境下生效) 单位：秒
  no-login-urls: /user/login,/kaptcha,/config/baseConfig

  config:
    export-path: D:\java\boot\guns-web-1.0.0-SNAPSHOT\export\
    config-path: E:\Develop\IdeaProject\smartcity\casic-smartcity-dcms\casic-web\src\main\resources\config\